felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall" <he...@ungoverned.org>
Subject Re: Java Support in some of the Felix bundles
Date Fri, 31 Jul 2009 19:24:30 GMT
Well, SCR wouldn't be one of those bundles. ;-)

I think we should only compile to higher byte code levels if necessary, 
but keep it as low as possible to maintain broader compatibility.

-> richard

On 7/31/09 3:15 PM, Felix Meschberger wrote:
> Hi all,
>
> Currently we have a policy, that we compile everything (or most) to be
> acceptable by Java 1.3 VMs. While working on the R 4.2 support of
> Declarative Services I now and thought about whether we should excempt
> some bundles from this rule.
>
> This is just wild thinking and there is nothing concrete, not even a
> requirement. So if you think, we should stick with the "Java 1.3"
> policy, I am perfectly fine with it.
>
> WDYT ?
>
> Regards
> Felix
>    

Mime
View raw message